# ticket\_status

Request fields:

<table><thead><tr><th width="210">Attribute</th><th width="117">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>ticket_code</td><td>string</td><td>Ticket code</td></tr><tr><td>ticket_id</td><td>string</td><td>Ticket identification number</td></tr><tr><td>msisdn</td><td>string</td><td>MSISDN</td></tr><tr><td>status</td><td>result</td><td>Ticket Status. Can be one of: <code>open</code>, <code>resulted</code></td></tr><tr><td>result</td><td>result</td><td>Ticket Result. Can be one of: <code>pending</code>, <code>won</code>, <code>lost</code>, <code>void</code></td></tr></tbody></table>

Sample `ticket_status` request:

```json
{
  "type": "ticket_status",
  "data": {
    "ticket_code": "AB1234",
    "ticket_id": "66a62424b1770731244c1f3f",
    "msisdn": "213456451",
    "status": "open",
    "result" : "pending"
  }
}
```

{% hint style="info" %}
`open` status will be sent only for tickets which were initially reserved.
{% endhint %}

Response fields:

<table><thead><tr><th width="210">Attribute</th><th width="149">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>message</td><td>string</td><td>Response message. It can be any text</td></tr></tbody></table>

Sample response (status=200) to `ticket_status` request:

```json
{
  "message": "Notification received"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.betstack.io/sms-notifications/notification-types/ticket_status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
